Skip to content

Change a picklist value name or status. To change a picklist value label, see Update Picklist Value Label.

Use caution when editing picklist value names. When you change a picklist value name, it may affect existing document and object metadata that refer to the picklist. This may also break existing integrations that access picklist values via the API.

PUT/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{picklist_name}The picklist name field value (license_type__v, product_family__c, region__c, etc.)
{picklist_value_name}The picklist value name field value (north_america__c, south_america__c, etc.)
NameDescription
nameThe new name for a picklist value. This does not affect the label. Vault adds __c after processing. Special characters and double underscores __ are not allowed.
statusThe new status for a picklist value. Valid values are active or inactive.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "name=north_america_united_states" \ https://myvault.veevavault.com/api/v19.2/objects/picklists/regions__c/north_america__c
{ "responseStatus": "SUCCESS" }

Only the picklist value name is changed. The picklist value label remains the same. In the UI, Admins will see the new name in Admin > Business Admin > Picklists > {Picklist}.